!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-02-18 11:19             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 106

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(739)
  integer, parameter :: nGC_3139 = 1
  integer, parameter :: nGC_3138 = 2
  integer, parameter :: nGC_3133 = 3
  integer, parameter :: nGC_3132 = 4
  integer, parameter :: nGC_3131 = 5
  integer, parameter :: nGC_3130 = 6
  integer, parameter :: nGC_3137 = 7
  integer, parameter :: nGC_3136 = 8
  integer, parameter :: nGC_3135 = 9
  integer, parameter :: nGC_3134 = 10
  integer, parameter :: nGC_MZ_GF = 11
  integer, parameter :: nGC_28 = 12
  integer, parameter :: nGC_29 = 13
  integer, parameter :: nGC_3183 = 14
  integer, parameter :: nGC_22 = 15
  integer, parameter :: nGC_23 = 16
  integer, parameter :: nGC_20 = 17
  integer, parameter :: nGC_21 = 18
  integer, parameter :: nGC_26 = 19
  integer, parameter :: nGC_27 = 20
  integer, parameter :: nGC_24 = 21
  integer, parameter :: nGC_25 = 22
  integer, parameter :: nGC_3181 = 23
  integer, parameter :: nGC_156 = 24
  integer, parameter :: nGC_3345 = 25
  integer, parameter :: nGC_3346 = 26
  integer, parameter :: nGC_3347 = 27
  integer, parameter :: nGC_MMW_GF = 28
  integer, parameter :: nGC_74 = 29
  integer, parameter :: nGC_3182 = 30
  integer, parameter :: nGC_3164 = 31
  integer, parameter :: nGC_3165 = 32
  integer, parameter :: nGC_3166 = 33
  integer, parameter :: nGC_3167 = 34
  integer, parameter :: nGC_3160 = 35
  integer, parameter :: nGC_3161 = 36
  integer, parameter :: nGC_3162 = 37
  integer, parameter :: nGC_3163 = 38
  integer, parameter :: nGC_I = 39
  integer, parameter :: nGC_3169 = 40
  integer, parameter :: nGC_3 = 41
  integer, parameter :: nGC_2 = 42
  integer, parameter :: nGC_1 = 43
  integer, parameter :: nGC_7 = 44
  integer, parameter :: nGC_6 = 45
  integer, parameter :: nGC_5 = 46
  integer, parameter :: nGC_4 = 47
  integer, parameter :: nGC_9 = 48
  integer, parameter :: nGC_8 = 49
  integer, parameter :: nGC_346 = 50
  integer, parameter :: nGC_3325 = 51
  integer, parameter :: nGC_3331 = 52
  integer, parameter :: nGC_MI = 53
  integer, parameter :: nGC_53 = 54
  integer, parameter :: nGC_52 = 55
  integer, parameter :: nGC_51 = 56
  integer, parameter :: nGC_50 = 57
  integer, parameter :: nGC_57 = 58
  integer, parameter :: nGC_56 = 59
  integer, parameter :: nGC_55 = 60
  integer, parameter :: nGC_54 = 61
  integer, parameter :: nGC_59 = 62
  integer, parameter :: nGC_58 = 63
  integer, parameter :: nGC_MM = 64
  integer, parameter :: nGC_5281 = 65
  integer, parameter :: nGC_ME = 66
  integer, parameter :: nGC_5086 = 67
  integer, parameter :: nGC_4740 = 68
  integer, parameter :: nGC_3305 = 69
  integer, parameter :: nGC_3306 = 70
  integer, parameter :: nGC_3307 = 71
  integer, parameter :: nGC_3128 = 72
  integer, parameter :: nGC_3129 = 73
  integer, parameter :: nGC_3285 = 74
  integer, parameter :: nGC_3122 = 75
  integer, parameter :: nGC_3123 = 76
  integer, parameter :: nGC_3124 = 77
  integer, parameter :: nGC_3125 = 78
  integer, parameter :: nGC_3126 = 79
  integer, parameter :: nGC_3127 = 80
  integer, parameter :: nGC_5621 = 81
  integer, parameter :: nGC_4629 = 82
  integer, parameter :: nGC_5626 = 83
  integer, parameter :: nGC_466 = 84
  integer, parameter :: nGC_4716 = 85
  integer, parameter :: nGC_17 = 86
  integer, parameter :: nGC_16 = 87
  integer, parameter :: nGC_15 = 88
  integer, parameter :: nGC_14 = 89
  integer, parameter :: nGC_13 = 90
  integer, parameter :: nGC_12 = 91
  integer, parameter :: nGC_11 = 92
  integer, parameter :: nGC_10 = 93
  integer, parameter :: nGC_19 = 94
  integer, parameter :: nGC_18 = 95
  integer, parameter :: nGC_7657 = 96
  integer, parameter :: nGC_7659 = 97
  integer, parameter :: nGC_5480 = 98
  integer, parameter :: nGC_3323 = 99
  integer, parameter :: nGC_410 = 100
  integer, parameter :: nGC_3379 = 101
  integer, parameter :: nGC_3378 = 102
  integer, parameter :: nGC_3371 = 103
  integer, parameter :: nGC_3370 = 104
  integer, parameter :: nGC_3373 = 105
  integer, parameter :: nGC_3372 = 106
  integer, parameter :: nGC_3375 = 107
  integer, parameter :: nGC_3374 = 108
  integer, parameter :: nGC_3377 = 109
  integer, parameter :: nGC_3376 = 110
  integer, parameter :: nGC_588 = 111
  integer, parameter :: nGC_5099 = 112
  integer, parameter :: nGC_4823 = 113
  integer, parameter :: nGC_4829 = 114
  integer, parameter :: nGC_4945 = 115
  integer, parameter :: nGC_5111 = 116
  integer, parameter :: nGC_5110 = 117
  integer, parameter :: nGC_3274 = 118
  integer, parameter :: nGC_3275 = 119
  integer, parameter :: nGC_3277 = 120
  integer, parameter :: nGC_3279 = 121
  integer, parameter :: nGC_3363 = 122
  integer, parameter :: nGC_3151 = 123
  integer, parameter :: nGC_3153 = 124
  integer, parameter :: nGC_3152 = 125
  integer, parameter :: nGC_6430 = 126
  integer, parameter :: nGC_3157 = 127
  integer, parameter :: nGC_3156 = 128
  integer, parameter :: nGC_3159 = 129
  integer, parameter :: nGC_3158 = 130
  integer, parameter :: nGC_3177 = 131
  integer, parameter :: nGC_224 = 132
  integer, parameter :: nGC_3081 = 133
  integer, parameter :: nGC_3087 = 134
  integer, parameter :: nGC_3086 = 135
  integer, parameter :: nGC_3085 = 136
  integer, parameter :: nGC_3084 = 137
  integer, parameter :: nGC_4750 = 138
  integer, parameter :: nGC_3369 = 139
  integer, parameter :: nGC_3078 = 140
  integer, parameter :: nGC_3079 = 141
  integer, parameter :: nGC_5367 = 142
  integer, parameter :: nGC_292 = 143
  integer, parameter :: nGC_3339 = 144
  integer, parameter :: nGC_678 = 145
  integer, parameter :: nGC_576 = 146
  integer, parameter :: nGC_3273 = 147
  integer, parameter :: nGC_48 = 148
  integer, parameter :: nGC_49 = 149
  integer, parameter :: nGC_44 = 150
  integer, parameter :: nGC_45 = 151
  integer, parameter :: nGC_46 = 152
  integer, parameter :: nGC_47 = 153
  integer, parameter :: nGC_40 = 154
  integer, parameter :: nGC_41 = 155
  integer, parameter :: nGC_42 = 156
  integer, parameter :: nGC_43 = 157
  integer, parameter :: nGC_4983 = 158
  integer, parameter :: nGC_3330 = 159
  integer, parameter :: nGC_7137 = 160
  integer, parameter :: nGC_5290 = 161
  integer, parameter :: nGC_7138 = 162
  integer, parameter :: nGC_3201 = 163
  integer, parameter :: nGC_3200 = 164
  integer, parameter :: nGC_3205 = 165
  integer, parameter :: nGC_3204 = 166
  integer, parameter :: nGC_3207 = 167
  integer, parameter :: nGC_3206 = 168
  integer, parameter :: nGC_2232 = 169
  integer, parameter :: nGC_6428 = 170
  integer, parameter :: nGC_5741 = 171
  integer, parameter :: nGC_62 = 172
  integer, parameter :: nGC_5585 = 173
  integer, parameter :: nGC_3338 = 174
  integer, parameter :: nGC_3335 = 175
  integer, parameter :: nGC_5588 = 176
  integer, parameter :: nGC_3333 = 177
  integer, parameter :: nGC_3332 = 178
  integer, parameter :: nGC_3115 = 179
  integer, parameter :: nGC_3114 = 180
  integer, parameter :: nGC_3117 = 181
  integer, parameter :: nGC_3116 = 182
  integer, parameter :: nGC_3111 = 183
  integer, parameter :: nGC_3110 = 184
  integer, parameter :: nGC_3113 = 185
  integer, parameter :: nGC_3112 = 186
  integer, parameter :: nGC_4645 = 187
  integer, parameter :: nGC_3119 = 188
  integer, parameter :: nGC_3118 = 189
  integer, parameter :: nGC_4642 = 190
  integer, parameter :: nGC_3296 = 191
  integer, parameter :: nGC_3297 = 192
  integer, parameter :: nGC_3295 = 193
  integer, parameter :: nGC_3292 = 194
  integer, parameter :: nGC_6100 = 195
  integer, parameter :: nGC_138 = 196
  integer, parameter :: nGC_5322 = 197
  integer, parameter :: nGC_5323 = 198
  integer, parameter :: nGC_4879 = 199
  integer, parameter :: nGC_5288 = 200
  integer, parameter :: nGC_5541 = 201
  integer, parameter :: nGC_5844 = 202
  integer, parameter :: nGC_MW_GF = 203
  integer, parameter :: nGC_75 = 204
  integer, parameter :: nGC_77 = 205
  integer, parameter :: nGC_76 = 206
  integer, parameter :: nGC_71 = 207
  integer, parameter :: nGC_70 = 208
  integer, parameter :: nGC_73 = 209
  integer, parameter :: nGC_72 = 210
  integer, parameter :: nGC_6074 = 211
  integer, parameter :: nGC_79 = 212
  integer, parameter :: nGC_78 = 213
  integer, parameter :: nGC_106 = 214
  integer, parameter :: nGC_5109 = 215
  integer, parameter :: nGC_5102 = 216
  integer, parameter :: nGC_3367 = 217
  integer, parameter :: nGC_3364 = 218
  integer, parameter :: nGC_3249 = 219
  integer, parameter :: nGC_3361 = 220
  integer, parameter :: nGC_3245 = 221
  integer, parameter :: nGC_3247 = 222
  integer, parameter :: nGC_3246 = 223
  integer, parameter :: nGC_3240 = 224
  integer, parameter :: nGC_7850 = 225
  integer, parameter :: nGC_3148 = 226
  integer, parameter :: nGC_3149 = 227
  integer, parameter :: nGC_3146 = 228
  integer, parameter :: nGC_3147 = 229
  integer, parameter :: nGC_3144 = 230
  integer, parameter :: nGC_3145 = 231
  integer, parameter :: nGC_3142 = 232
  integer, parameter :: nGC_3143 = 233
  integer, parameter :: nGC_3140 = 234
  integer, parameter :: nGC_3141 = 235
  integer, parameter :: nGC_3090 = 236
  integer, parameter :: nGC_3091 = 237
  integer, parameter :: nGC_3092 = 238
  integer, parameter :: nGC_3093 = 239
  integer, parameter :: nGC_3094 = 240
  integer, parameter :: nGC_3095 = 241
  integer, parameter :: nGC_3096 = 242
  integer, parameter :: nGC_3097 = 243
  integer, parameter :: nGC_3098 = 244
  integer, parameter :: nGC_3099 = 245
  integer, parameter :: nGC_6099 = 246
  integer, parameter :: nGC_3180 = 247
  integer, parameter :: nGC_3276 = 248
  integer, parameter :: nGC_5958 = 249
  integer, parameter :: nGC_5210 = 250
  integer, parameter :: nGC_5212 = 251
  integer, parameter :: nGC_5214 = 252
  integer, parameter :: nGC_448 = 253
  integer, parameter :: nGC_664 = 254
  integer, parameter :: nGC_39 = 255
  integer, parameter :: nGC_38 = 256
  integer, parameter :: nGC_31 = 257
  integer, parameter :: nGC_30 = 258
  integer, parameter :: nGC_33 = 259
  integer, parameter :: nGC_32 = 260
  integer, parameter :: nGC_35 = 261
  integer, parameter :: nGC_34 = 262
  integer, parameter :: nGC_37 = 263
  integer, parameter :: nGC_36 = 264
  integer, parameter :: nGC_146 = 265
  integer, parameter :: nGC_142 = 266
  integer, parameter :: nGC_5505 = 267
  integer, parameter :: nGC_5506 = 268
  integer, parameter :: nGC_5814 = 269
  integer, parameter :: nGC_3304 = 270
  integer, parameter :: nGC_5818 = 271
  integer, parameter :: nGC_3359 = 272
  integer, parameter :: nGC_3357 = 273
  integer, parameter :: nGC_3356 = 274
  integer, parameter :: nGC_3353 = 275
  integer, parameter :: nGC_3352 = 276
  integer, parameter :: nGC_3351 = 277
  integer, parameter :: nGC_3150 = 278
  integer, parameter :: nGC_3329 = 279
  integer, parameter :: nGC_3155 = 280
  integer, parameter :: nGC_3326 = 281
  integer, parameter :: nGC_3324 = 282
  integer, parameter :: nGC_3154 = 283
  integer, parameter :: nGC_3102 = 284
  integer, parameter :: nGC_3103 = 285
  integer, parameter :: nGC_3100 = 286
  integer, parameter :: nGC_MH = 287
  integer, parameter :: nGC_3106 = 288
  integer, parameter :: nGC_3107 = 289
  integer, parameter :: nGC_3104 = 290
  integer, parameter :: nGC_3105 = 291
  integer, parameter :: nGC_MC = 292
  integer, parameter :: nGC_MB = 293
  integer, parameter :: nGC_3108 = 294
  integer, parameter :: nGC_4672 = 295
  integer, parameter :: nGC_MD = 296
  integer, parameter :: nGC_MZ = 297
  integer, parameter :: nGC_MS = 298
  integer, parameter :: nGC_MW = 299
  integer, parameter :: nGC_8340 = 300
  integer, parameter :: nGC_MU = 301
  integer, parameter :: nGC_MT = 302
  integer, parameter :: nGC_5070 = 303
  integer, parameter :: nGC_5071 = 304
  integer, parameter :: nGC_3216 = 305
  integer, parameter :: nGC_3217 = 306
  integer, parameter :: nGC_3214 = 307
  integer, parameter :: nGC_3212 = 308
  integer, parameter :: nGC_3210 = 309
  integer, parameter :: nGC_3197 = 310
  integer, parameter :: nGC_3196 = 311
  integer, parameter :: nGC_3190 = 312
  integer, parameter :: nGC_3109 = 313
  integer, parameter :: nGC_4663 = 314
  integer, parameter :: nGC_3268 = 315
  integer, parameter :: nGC_3176 = 316
  integer, parameter :: nGC_3175 = 317
  integer, parameter :: nGC_3174 = 318
  integer, parameter :: nGC_3173 = 319
  integer, parameter :: nGC_3172 = 320
  integer, parameter :: nGC_3171 = 321
  integer, parameter :: nGC_3170 = 322
  integer, parameter :: nGC_3179 = 323
  integer, parameter :: nGC_3178 = 324
  integer, parameter :: nGC_6361 = 325
  integer, parameter :: nGC_6360 = 326
  integer, parameter :: nGC_8469 = 327
  integer, parameter :: nGC_4770 = 328
  integer, parameter :: nGC_4771 = 329
  integer, parameter :: nGC_4772 = 330
  integer, parameter :: nGC_4773 = 331
  integer, parameter :: nGC_8290 = 332
  integer, parameter :: nGC_MTA = 333
  integer, parameter :: nGC_3120 = 334
  integer, parameter :: nGC_3121 = 335
  integer, parameter :: nGC_5269 = 336
  integer, parameter :: nGC_3083 = 337
  integer, parameter :: nGC_6525 = 338
  integer, parameter :: nGC_3082 = 339
  integer, parameter :: nGC_88 = 340
  integer, parameter :: nGC_5213 = 341
  integer, parameter :: nGC_3080 = 342
  integer, parameter :: nGC_80 = 343
  integer, parameter :: nGC_81 = 344
  integer, parameter :: nGC_82 = 345
  integer, parameter :: nGC_83 = 346
  integer, parameter :: nGC_84 = 347
  integer, parameter :: nGC_85 = 348
  integer, parameter :: nGC_86 = 349
  integer, parameter :: nGC_87 = 350
  integer, parameter :: nGC_5180 = 351
  integer, parameter :: nGC_5181 = 352
  integer, parameter :: nGC_5183 = 353
  integer, parameter :: nGC_5187 = 354
  integer, parameter :: nGC_66 = 355
  integer, parameter :: nGC_67 = 356
  integer, parameter :: nGC_64 = 357
  integer, parameter :: nGC_65 = 358
  integer, parameter :: nGC_63 = 359
  integer, parameter :: nGC_60 = 360
  integer, parameter :: nGC_61 = 361
  integer, parameter :: nGC_3101 = 362
  integer, parameter :: nGC_3168 = 363
  integer, parameter :: nGC_3089 = 364
  integer, parameter :: nGC_68 = 365
  integer, parameter :: nGC_69 = 366
  integer, parameter :: nGC_3088 = 367
  integer, parameter :: nGC_4962 = 368
  integer, parameter :: nGC_3209 = 369
  integer, parameter :: nGC_4805 = 370
  integer, parameter :: nGC_4802 = 371
  integer, parameter :: nGC_4803 = 372
  integer, parameter :: nGC_4801 = 373
  integer, parameter :: nGC_3229 = 374
  integer, parameter :: nGC_3228 = 375
  integer, parameter :: nGC_3227 = 376
  integer, parameter :: nGC_3226 = 377
  integer, parameter :: nGC_3225 = 378
  integer, parameter :: nGC_3224 = 379
  integer, parameter :: nGC_3223 = 380
  integer, parameter :: nGC_3222 = 381
  integer, parameter :: nGC_3221 = 382
  integer, parameter :: nGC_3220 = 383
  integer, parameter :: nGC_5134 = 384
  integer, parameter :: nGC_5133 = 385
  integer, parameter :: nGC_3380 = 386
  integer, parameter :: nGC_3381 = 387
  integer, parameter :: nGC_3382 = 388
  integer, parameter :: nGC_3313 = 389
  integer, parameter :: nGC_5440 = 390
  integer, parameter :: nGC_3311 = 391
  integer, parameter :: nGC_3310 = 392
  integer, parameter :: nGC_3317 = 393
  integer, parameter :: nGC_3316 = 394
  integer, parameter :: nGC_3315 = 395
  integer, parameter :: nGC_3314 = 396
  integer, parameter :: nGC_3252 = 397
  integer, parameter :: nGC_3253 = 398
  integer, parameter :: nGC_3319 = 399
  integer, parameter :: nGC_3318 = 400
  integer, parameter :: nGC_3256 = 401
  integer, parameter :: nGC_3257 = 402
  integer, parameter :: nGC_5767 = 403
  integer, parameter :: nGC_4709 = 404
  integer, parameter :: nGC_4701 = 405
  integer, parameter :: nGC_4704 = 406
  integer, parameter :: nGC_5005 = 407
  integer, parameter :: nGC_4638 = 408
  integer, parameter :: nGC_4631 = 409
  integer, parameter :: nGC_4630 = 410
  integer, parameter :: nGC_4632 = 411
  integer, parameter :: nGC_5229 = 412
  integer, parameter :: nGC_5228 = 413
  integer, parameter :: nGC_5340 = 414
  integer, parameter :: nGC_4795 = 415
  integer, parameter :: nGC_4792 = 416
  integer, parameter :: nGC_4793 = 417
  integer, parameter :: nGC_3263 = 418
  integer, parameter :: nGC_370 = 419
  integer, parameter :: nGC_3188 = 420
  integer, parameter :: nGC_3189 = 421
  integer, parameter :: nGC_3266 = 422
  integer, parameter :: nGC_3265 = 423
  integer, parameter :: nGC_4846 = 424
  integer, parameter :: nGC_4848 = 425
  integer, parameter :: nGC_3348 = 426
  integer, parameter :: nGC_3349 = 427
  integer, parameter :: nGC_3344 = 428
  integer, parameter :: nGC_3340 = 429
  integer, parameter :: nGC_3341 = 430
  integer, parameter :: nGC_3342 = 431
  integer, parameter :: nGC_3343 = 432
  integer, parameter :: nGC_7508 = 433
  integer, parameter :: nGC_7507 = 434
  integer, parameter :: nGC_5441 = 435
  integer, parameter :: nGC_5403 = 436
  integer, parameter :: nGC_3258 = 437
  integer, parameter :: nGC_4837 = 438
  integer, parameter :: nGC_3259 = 439
  integer, parameter :: nGC_4833 = 440
  integer, parameter :: nGC_4935 = 441
  integer, parameter :: nGC_4838 = 442
  integer, parameter :: nGC_5043 = 443
  integer, parameter :: nGC_3250 = 444
  integer, parameter :: nGC_3251 = 445
  integer, parameter :: nGC_8401 = 446
  integer, parameter :: nGC_1962 = 447
  integer, parameter :: nGC_3262 = 448
  integer, parameter :: nGC_3261 = 449
  integer, parameter :: nGC_3260 = 450
  integer, parameter :: nGC_3267 = 451
  integer, parameter :: nGC_3254 = 452
  integer, parameter :: nGC_1964 = 453
  integer, parameter :: nGC_3264 = 454
  integer, parameter :: nGC_3269 = 455
  integer, parameter :: nGC_3255 = 456
  integer, parameter :: nGC_3186 = 457
  integer, parameter :: nGC_3187 = 458
  integer, parameter :: nGC_3184 = 459
  integer, parameter :: nGC_3185 = 460
  integer, parameter :: nGC_3312 = 461
  integer, parameter :: nGC_4693 = 462
  integer, parameter :: nGC_4692 = 463
  integer, parameter :: nGC_5304 = 464
  integer, parameter :: nGC_5305 = 465
  integer, parameter :: nGC_8455 = 466
  integer, parameter :: nGC_8454 = 467
  integer, parameter :: nGC_4923 = 468
  integer, parameter :: nGC_4664 = 469
  integer, parameter :: nGC_4749 = 470
  integer, parameter :: nGC_4745 = 471
  integer, parameter :: nGC_4746 = 472
  integer, parameter :: nGC_6178 = 473
  integer, parameter :: nGC_6179 = 474
  integer, parameter :: nGC_4669 = 475
  integer, parameter :: nGC_5838 = 476
  integer, parameter :: nGC_5278 = 477
  integer, parameter :: nGC_5900 = 478
  integer, parameter :: nGC_5289 = 479
  integer, parameter :: nGC_5282 = 480
  integer, parameter :: nGC_1958 = 481
  integer, parameter :: nGC_3238 = 482
  integer, parameter :: nGC_3239 = 483
  integer, parameter :: nGC_3234 = 484
  integer, parameter :: nGC_3235 = 485
  integer, parameter :: nGC_3236 = 486
  integer, parameter :: nGC_3237 = 487
  integer, parameter :: nGC_3230 = 488
  integer, parameter :: nGC_3231 = 489
  integer, parameter :: nGC_3232 = 490
  integer, parameter :: nGC_3233 = 491
  integer, parameter :: nGC_5122 = 492
  integer, parameter :: nGC_5123 = 493
  integer, parameter :: nGC_5124 = 494
  integer, parameter :: nGC_5087 = 495
  integer, parameter :: nGC_3301 = 496
  integer, parameter :: nGC_3302 = 497
  integer, parameter :: nGC_3303 = 498
  integer, parameter :: nGC_4903 = 499
  integer, parameter :: nGC_3308 = 500
  integer, parameter :: nGC_3309 = 501
  integer, parameter :: nGC_4909 = 502
  integer, parameter :: nGC_4658 = 503
  integer, parameter :: nGC_4651 = 504
  integer, parameter :: nGC_3283 = 505
  integer, parameter :: nGC_3282 = 506
  integer, parameter :: nGC_3284 = 507
  integer, parameter :: nGC_3287 = 508
  integer, parameter :: nGC_3289 = 509
  integer, parameter :: nGC_3288 = 510
  integer, parameter :: nGC_4626 = 511
  integer, parameter :: nGC_8402 = 512
  integer, parameter :: nGC_5768 = 513
  integer, parameter :: nGC_4710 = 514
  integer, parameter :: nGC_4711 = 515
  integer, parameter :: nGC_4718 = 516
  integer, parameter :: nGC_3208 = 517
  integer, parameter :: nGC_5484 = 518
  integer, parameter :: nGC_7658 = 519
  integer, parameter :: nGC_5483 = 520
  integer, parameter :: nGC_5241 = 521
  integer, parameter :: nGC_3213 = 522
  integer, parameter :: nGC_3211 = 523
  integer, parameter :: nGC_6043 = 524
  integer, parameter :: nGC_6044 = 525
  integer, parameter :: nGC_6045 = 526
  integer, parameter :: nGC_6046 = 527
  integer, parameter :: nGC_5797 = 528
  integer, parameter :: nGC_5796 = 529
  integer, parameter :: nGC_4948 = 530
  integer, parameter :: nGC_3193 = 531
  integer, parameter :: nGC_4940 = 532
  integer, parameter :: nGC_5901 = 533
  integer, parameter :: nGC_5112 = 534
  integer, parameter :: nGC_5114 = 535
  integer, parameter :: nGC_3270 = 536
  integer, parameter :: nGC_3271 = 537
  integer, parameter :: nGC_3272 = 538
  integer, parameter :: nGC_3365 = 539
  integer, parameter :: nGC_5461 = 540
  integer, parameter :: nGC_3278 = 541
  integer, parameter :: nGC_4726 = 542
  integer, parameter :: nGC_4720 = 543
  integer, parameter :: nGC_4689 = 544
  integer, parameter :: nGC_4684 = 545
  integer, parameter :: nGC_4686 = 546
  integer, parameter :: nGC_5027 = 547
  integer, parameter :: nGC_3192 = 548
  integer, parameter :: nGC_8337 = 549
  integer, parameter :: nGC_5029 = 550
  integer, parameter :: nGC_5028 = 551
  integer, parameter :: nGC_6268 = 552
  integer, parameter :: nGC_6269 = 553
  integer, parameter :: nGC_4759 = 554
  integer, parameter :: nGC_5202 = 555
  integer, parameter :: nGC_5201 = 556
  integer, parameter :: nGC_5209 = 557
  integer, parameter :: nGC_7142 = 558
  integer, parameter :: nGC_7141 = 559
  integer, parameter :: nGC_5368 = 560
  integer, parameter :: nGC_8466 = 561
  integer, parameter :: nGC_4987 = 562
  integer, parameter :: nGC_4986 = 563
  integer, parameter :: nGC_7660 = 564
  integer, parameter :: nGC_5291 = 565
  integer, parameter :: nGC_5096 = 566
  integer, parameter :: nGC_5097 = 567
  integer, parameter :: nGC_3203 = 568
  integer, parameter :: nGC_3202 = 569
  integer, parameter :: nGC_5098 = 570
  integer, parameter :: nGC_5586 = 571
  integer, parameter :: nGC_4910 = 572
  integer, parameter :: nGC_3334 = 573
  integer, parameter :: nGC_3337 = 574
  integer, parameter :: nGC_3336 = 575
  integer, parameter :: nGC_5589 = 576
  integer, parameter :: nGC_4643 = 577
  integer, parameter :: nGC_1398 = 578
  integer, parameter :: nGC_3298 = 579
  integer, parameter :: nGC_3299 = 580
  integer, parameter :: nGC_3294 = 581
  integer, parameter :: nGC_3293 = 582
  integer, parameter :: nGC_3290 = 583
  integer, parameter :: nGC_3291 = 584
  integer, parameter :: nGC_8278 = 585
  integer, parameter :: nGC_5147 = 586
  integer, parameter :: nGC_5140 = 587
  integer, parameter :: nGC_8277 = 588
  integer, parameter :: nGC_5632 = 589
  integer, parameter :: nGC_5633 = 590
  integer, parameter :: nGC_5631 = 591
  integer, parameter :: nGC_8471 = 592
  integer, parameter :: nGC_8477 = 593
  integer, parameter :: nGC_8476 = 594
  integer, parameter :: nGC_7023 = 595
  integer, parameter :: nGC_4763 = 596
  integer, parameter :: nGC_5551 = 597
  integer, parameter :: nGC_6101 = 598
  integer, parameter :: nGC_5996 = 599
  integer, parameter :: nGC_5256 = 600
  integer, parameter :: nGC_5257 = 601
  integer, parameter :: nGC_5847 = 602
  integer, parameter :: nGC_7279 = 603
  integer, parameter :: nGC_5968 = 604
  integer, parameter :: nGC_5787 = 605
  integer, parameter :: nGC_4811 = 606
  integer, parameter :: nGC_4810 = 607
  integer, parameter :: nGC_4813 = 608
  integer, parameter :: nGC_4812 = 609
  integer, parameter :: nGC_4816 = 610
  integer, parameter :: nGC_4954 = 611
  integer, parameter :: nGC_4955 = 612
  integer, parameter :: nGC_5268 = 613
  integer, parameter :: nGC_5477 = 614
  integer, parameter :: nGC_3362 = 615
  integer, parameter :: nGC_3248 = 616
  integer, parameter :: nGC_3360 = 617
  integer, parameter :: nGC_3244 = 618
  integer, parameter :: nGC_3241 = 619
  integer, parameter :: nGC_3243 = 620
  integer, parameter :: nGC_3242 = 621
  integer, parameter :: nGC_4734 = 622
  integer, parameter :: nGC_4731 = 623
  integer, parameter :: nGC_6429 = 624
  integer, parameter :: nGC_6257 = 625
  integer, parameter :: nGC_5030 = 626
  integer, parameter :: nGC_6259 = 627
  integer, parameter :: nGC_6258 = 628
  integer, parameter :: nGC_5951 = 629
  integer, parameter :: nGC_5211 = 630
  integer, parameter :: nGC_4782 = 631
  integer, parameter :: nGC_4789 = 632
  integer, parameter :: nGC_5925 = 633
  integer, parameter :: nGC_5596 = 634
  integer, parameter :: nGC_5817 = 635
  integer, parameter :: nGC_3358 = 636
  integer, parameter :: nGC_3355 = 637
  integer, parameter :: nGC_3354 = 638
  integer, parameter :: nGC_3350 = 639
  integer, parameter :: nGC_8467 = 640
  integer, parameter :: nGC_8420 = 641
  integer, parameter :: nGC_3328 = 642
  integer, parameter :: nGC_4924 = 643
  integer, parameter :: nGC_3322 = 644
  integer, parameter :: nGC_3327 = 645
  integer, parameter :: nGC_4678 = 646
  integer, parameter :: nGC_4677 = 647
  integer, parameter :: nGC_5724 = 648
  integer, parameter :: nGC_3215 = 649
  integer, parameter :: nGC_3199 = 650
  integer, parameter :: nGC_3198 = 651
  integer, parameter :: nGC_5723 = 652
  integer, parameter :: nGC_3195 = 653
  integer, parameter :: nGC_3194 = 654
  integer, parameter :: nGC_3191 = 655
  integer, parameter :: nGC_3218 = 656
  integer, parameter :: nGC_3219 = 657
  integer, parameter :: nGC_5318 = 658
  integer, parameter :: nGC_5317 = 659
  integer, parameter :: nGC_6363 = 660
  integer, parameter :: nGC_6362 = 661
  integer, parameter :: nGC_4777 = 662
  integer, parameter :: nGC_4778 = 663
  integer, parameter :: nGC_4779 = 664
  integer, parameter :: nGC_6526 = 665
  integer, parameter :: nGC_5261 = 666
  integer, parameter :: nGC_5262 = 667
  integer, parameter :: nGC_5182 = 668
  integer, parameter :: nGC_5184 = 669
  integer, parameter :: nGC_4967 = 670
  integer, parameter :: nGC_5404 = 671
  integer, parameter :: nGC_4804 = 672
  integer, parameter :: nGC_5271 = 673
  integer, parameter :: nGC_4652 = 674
  integer, parameter :: nGC_5319 = 675
  integer, parameter :: nGC_4902 = 676
  integer, parameter :: nGC_5203 = 677
  integer, parameter :: nGC_4796 = 678
  integer, parameter :: nGC_4717 = 679
  integer, parameter :: nGC_5306 = 680
  integer, parameter :: nGC_5307 = 681
  integer, parameter :: nGC_4790 = 682
  integer, parameter :: nGC_4694 = 683
  integer, parameter :: nGC_5405 = 684
  integer, parameter :: nGC_5406 = 685
  integer, parameter :: nGC_8328 = 686
  integer, parameter :: nGC_8327 = 687
  integer, parameter :: nGC_5117 = 688
  integer, parameter :: nGC_5928 = 689
  integer, parameter :: nGC_5240 = 690
  integer, parameter :: nGC_8419 = 691
  integer, parameter :: nGC_4878 = 692
  integer, parameter :: nGC_4748 = 693
  integer, parameter :: nGC_5634 = 694
  integer, parameter :: nGC_4747 = 695
  integer, parameter :: nGC_6270 = 696
  integer, parameter :: nGC_4839 = 697
  integer, parameter :: nGC_4874 = 698
  integer, parameter :: nGC_5926 = 699
  integer, parameter :: nGC_8382 = 700
  integer, parameter :: nGC_4654 = 701
  integer, parameter :: nGC_4727 = 702
  integer, parameter :: nGC_4646 = 703
  integer, parameter :: nGC_4705 = 704
  integer, parameter :: nGC_6260 = 705
  integer, parameter :: nGC_5274 = 706
  integer, parameter :: nGC_5275 = 707
  integer, parameter :: nGC_6431 = 708
  integer, parameter :: nGC_5270 = 709
  integer, parameter :: nGC_4634 = 710
  integer, parameter :: nGC_5232 = 711
  integer, parameter :: nGC_4683 = 712
  integer, parameter :: nGC_6271 = 713
  integer, parameter :: nGC_5799 = 714
  integer, parameter :: nGC_5798 = 715
  integer, parameter :: nGC_4989 = 716
  integer, parameter :: nGC_4845 = 717
  integer, parameter :: nGC_5478 = 718
  integer, parameter :: nGC_5418 = 719
  integer, parameter :: nGC_5419 = 720
  integer, parameter :: nGC_4968 = 721
  integer, parameter :: nGC_5927 = 722
  integer, parameter :: nGC_5597 = 723
  integer, parameter :: nGC_4959 = 724
  integer, parameter :: nGC_4949 = 725
  integer, parameter :: nGC_4639 = 726
  integer, parameter :: nGC_5766 = 727
  integer, parameter :: nGC_5430 = 728
  integer, parameter :: nGC_5718 = 729
  integer, parameter :: nGC_4941 = 730
  integer, parameter :: nGC_4988 = 731
  integer, parameter :: nGC_6347 = 732
  integer, parameter :: nGC_5118 = 733
  integer, parameter :: nGC_4633 = 734
  integer, parameter :: nGC_4719 = 735
  integer, parameter :: nGC_5769 = 736
  integer, parameter :: nGC_4653 = 737
  integer, parameter :: nGC_4847 = 738
  integer, parameter :: nGC_4640 = 739
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
